using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace Game
{
    class RocketList//www.SourceCodes.ir//
    {
        private ArrayList Rockets;
        ProgressBar life;
        private int RocketGenerationDelay;
        private Random random;
        private void GenerateNewRocket()
        {
            int i = random.Next(RocketGenerationDelay);
            if (i == 1)//www.SourceCodes.ir//
                Rockets.Add(new Rocket(random.Next(79)));

        }
        private void remove(int i)
        {
            life.Decrease(1);
            getRocket(i).destroy();//www.SourceCodes.ir//
            Rockets.RemoveAt(i);
        }
        public RocketList(){
            Rockets = new ArrayList();
            random = new Random();
            Rockets.Add(new Rocket(random.Next(79)));
            RocketGenerationDelay = 50000;
       }

        //www.SourceCodes.ir//
        public void MoveRockets()
        {
            int i;
            Rocket nextRocket;
            
            GenerateNewRocket();
            
            for (i = 0; i <Rockets.Count ; i++)
            {
                nextRocket = getRocket(i);
                if (nextRocket.move() == false) 
                   remove(i); 

            }
        }//www.SourceCodes.ir//
        public Rocket getRocket(int i)
        {
            return ((Rocket)Rockets[i]);
        }
        public int Count()
        {
            return Rockets.Count;//www.SourceCodes.ir//
        }
        public void Destroy(int i)
        {
            life.Increase(1);
            getRocket(i).destroy();
            Rockets.RemoveAt(i);
        }

        public void setProgressBar(ProgressBar progress)
        {
            life = progress;
        }
    }
}//www.SourceCodes.ir//
