using System;
using System.Collections.Generic;
using System.Text;
//www.SourceCodes.ir//
namespace Game
{
    class Bullet
    {
        private int left, top;
        private char Symbol;
        private long step;
        private const long Delay = 1000;
        private bool live;
        public Bullet(int l, int t)
        {

            top = t;//www.SourceCodes.ir//
            left = l;
            step = 0;
            Symbol = '*';
            live = true;
        }
        public Bullet(char s, int l, int t)
        {
            top = t;
            left =l;
            Symbol = s;
            step = 0;
            live = true;
        }//www.SourceCodes.ir//
        private void clear()
        {
            Console.SetCursorPosition(left, top);
            Console.Write(" ");
        }
        private void draw()
        {
            Console.SetCursorPosition(left, top);
            Console.Write(Symbol);
        }


        //www.SourceCodes.ir//
        public void move()
        {
            if(live==false) return;
            
            step++;
            if (step >= Delay)
            {
                step = 0;
                clear();
                if (top > 1)
                {
                    top--;
                    draw();
                }
                else
                    live = false;
            }//www.SourceCodes.ir//
        }
        public void isHit(RocketList rocketlist)
        {
            int i=0;
            for(i=0;i<rocketlist.Count();i++)
                if ((top == rocketlist.getRocket(i).getTopPosition()) && (left== rocketlist.getRocket(i).getLeftPosition()))
                {
                    clear();
                    live = false;
                    rocketlist.Destroy(i);
                    Console.Beep();//www.SourceCodes.ir//
                }
         }
        public bool isAlive() { return live; }//www.SourceCodes.ir//
    }
}//www.SourceCodes.ir//
//www.SourceCodes.ir//