using System;
using System.Collections.Generic;
using System.Text;
//www.SourceCodes.ir//
namespace Game
{
    class Rocket
    {
        private int left, top;
        private Random random;
        private char Symbol;
        private long step;
        private const long Delay = 7000;
        public Rocket(int l)
        {
            random = new Random();
            top = 0;
            left = l;//www.SourceCodes.ir//
            step = 0;
            Symbol = 'V';
            draw();//www.SourceCodes.ir//
        }
        public Rocket(char s,int l)
        {
            random = new Random();
            top = 0;
            left = l;
            Symbol = s;
            step = 0;//www.SourceCodes.ir//
            draw();
        }
        private void clear()
        {
            Console.SetCursorPosition(left, top);
            Console.Write(" ");
        }
        private void draw()
        {
            
            Console.SetCursorPosition(left, top);
            Console.Write(Symbol);
        }
 


        public Boolean move()
        {
            if (top >= 23) return (false);
            step++;//www.SourceCodes.ir//
            if (step >= Delay)
            {
                step = 0;
                clear();
                top++;
                draw();
            }
            if (top >= 23) { Console.Beep(50, 100); clear(); return (false); }
            return (true);
        }
        public int getLeftPosition() { return left; }
        public int getTopPosition()  { return top;  }
        public void destroy()
        {
          clear();
        }
    }
}//www.SourceCodes.ir//
//www.SourceCodes.ir//