using System;
using System.Collections.Generic;
using System.Text;

namespace Game//www.SourceCodes.ir//
{
    class Screen
    {
        private Tank tank;
        private RocketList rockets;
        private BulletList bullets;
        private ProgressBar life;
        public Screen()
        {
            tank = new Tank(1,79);
            rockets = new RocketList();//www.SourceCodes.ir//
            bullets = new BulletList();
            life = new ProgressBar(1,24);
            rockets.setProgressBar(life);
            Console.CursorVisible = false;
        }

        private bool isEnd(){
            if(life.isFull()){
                Console.SetCursorPosition(35,12);
                Console.WriteLine("YOU WIN,www.SourceCodes.ir");
                Console.ReadKey();
                return(true);
            }
            if(life.isEmpty()){
                Console.SetCursorPosition(35, 12);
                Console.WriteLine("YOU LOSE,www.SourceCodes.ir");
                Console.ReadKey();
                return (true);//www.SourceCodes.ir//
            }
            return(false);
        }

        public void init()
        {
            Bullet b; //www.SourceCodes.ir//
             while (true)
            {
                rockets.MoveRockets();
                bullets.MoveBullets();
                bullets.checkForHits(rockets);
                b= tank.Action();
                if (b != null)
                      bullets.add(b);
                if(isEnd()==true) break;
 }
        }
    }
}//www.SourceCodes.ir//
